# Generated by Django 4.0.6 on 2022-08-02 05:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('SchoolApi', '0008_noticeboard'),
    ]

    operations = [
        migrations.CreateModel(
            name='Leave',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reason', models.CharField(max_length=200)),
                ('date', models.DateField(max_length=30)),
                ('code', models.IntegerField()),
                ('status', models.CharField(max_length=15)),
                ('teacheremp_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teacher3', to='SchoolApi.teacher')),
            ],
        ),
    ]
